### Hierarchy

- With

### Callable

- __call(a: any, b?: any, c?: any, d?: any, e?: any, f?: any, g?: any, h?: any, i?: any, j?: any): Assertion

- - Defined in node_modules/@types/chai-spies/index.d.ts:348

  ####.with Assert that a spy has been called with a given argument at least once, even if more arguments were provided.

      spy('foo');
      expect(spy).to.have.been.called.with('foo');
      spy.should.have.been.called.with('foo');

  Will also pass for `spy('foo', 'bar')` and `spy(); spy('foo')`. If used with multiple arguments, assert that a spy has been called with all the given arguments at least once.

      spy('foo', 'bar', 1);
      expect(spy).to.have.been.called.with('bar', 'foo');
      spy.should.have.been.called.with('bar', 'foo');

  #### Parameters

  - ##### a: any

  - ##### Optional b: any

  - ##### Optional c: any

  - ##### Optional d: any

  - ##### Optional e: any

  - ##### Optional f: any

  - ##### Optional g: any

  - ##### Optional h: any

  - ##### Optional i: any

  - ##### Optional j: any

  #### Returns Assertion

## Index

### Methods

- exactly

## Methods

### exactly

- exactly(a?: any, b?: any, c?: any, d?: any, e?: any, f?: any, g?: any, h?: any, i?: any, j?: any): Assertion

- - Defined in node_modules/@types/chai-spies/index.d.ts:380

  ####.with.exactly Similar to .with, but will pass only if the list of arguments is exactly the same as the one provided.

      spy();
      spy('foo', 'bar');
      expect(spy).to.have.been.called.with.exactly('foo', 'bar');
      spy.should.have.been.called.with.exactly('foo', 'bar');

  Will not pass for `spy('foo')`, `spy('bar')`, `spy('bar'); spy('foo')`, `spy('foo'); spy('bar')`, `spy('bar', 'foo')` or `spy('foo', 'bar', 1)`. Can be used for calls with a single argument too.

  #### Parameters

  - ##### Optional a: any

  - ##### Optional b: any

  - ##### Optional c: any

  - ##### Optional d: any

  - ##### Optional e: any

  - ##### Optional f: any

  - ##### Optional g: any

  - ##### Optional h: any

  - ##### Optional i: any

  - ##### Optional j: any

  #### Returns Assertion

Generated using TypeDoc